Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Interface IMatchingObjectsOperation

All Superinterfaces:
  IOperation

    public interface IMatchingObjectsOperation

extends IOperation

The matching objects operation used by the element selection service.

Method Summary
`IElementSelectionInput` `getElementSelectionInput()` Retreive the element selection input for this operation.

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IOperation
`execute`

Method Detail

### getElementSelectionInput

    IElementSelectionInput getElementSelectionInput()

  Retreive the element selection input for this operation.

  Returns:
    the element selection input.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.